Subject: bug#48300: Guix Emacs does not get "America/Sao_Paulo" timezone by name

From: Leo Prikler <[email-masked]>
Date: Sun, 09 May 2021 22:08:17 +0200

Am Sonntag, den 09.05.2021, 16:41 -0300 schrieb Jorge P.de Morais Neto:
> Hi Leo.
> 
> Em [2021-05-09 dom 17:57:27+0200], Leo Prikler escreveu:
> 
> > I've tested Guix System.  If you install tzdata locally, don't
> > forget
> > to set TZDIR in your shell profile to make Emacs find it.  The
> > following command fails to resolve Brazil/East:
> > 
> >     guix environment -C --ad-hoc emacs tzdata -E TERM -- emacs
> > 
> > The following command does not fail to resolve Brazil/East
> > 
> >     guix environment -C --ad-hoc emacs tzdata -E TERM -E TZDIR --
> > emacs
> 
> Debian bullseye (with Gnome) does not set TZDIR in my
> environment.  So
> to work around this bug, I have now installed Guix package tzdata and
> created the Bash script emacs-wrapper:
> 
> --8<---------------cut here---------------start------------->8---
> #!/usr/bin/env bash
> 
> TZDIR="${GUIX_PROFILE}/share/zoneinfo" emacs "${@}"
> --8<---------------cut here---------------end--------------->8---
> 
> Alternatively, I could simply ‘export TZDIR=/usr/share/zoneinfo’ in
> my
> environment; then I could even uninstall tzdata from Guix.  But would
> that work reliably?  That is, does Guix Emacs work reliably with
> tzdata
> from the foreign distro?
I suppose things should just work™ as it's data and using the same
source for everything should prevent bugs in which two different
programs think the time is something else.  If you do encounter bugs
after setting TZDIR, please do report them, however.

> > Note: the above assumes, that `guix build tzdir` produces $TZDIR
> 
> Don’t you mean ‘guix build tzdata’?
Yes, please pardon my typos :)